<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <base href="/swagger/" target="_blank">
  <title>API de Servicios de MAWIO</title>
  <link rel="icon" type="image/png" href="images/favicon-32x32.png" sizes="32x32" />
  <link rel="icon" type="image/png" href="images/favicon-16x16.png" sizes="16x16" />
  <link href='css/typography.css' media='screen' rel='stylesheet' type='text/css'/>
  <link href='css/reset.css' media='screen' rel='stylesheet' type='text/css'/>
  <link href='css/screen.css' media='screen' rel='stylesheet' type='text/css'/>
  <link href='css/reset.css' media='print' rel='stylesheet' type='text/css'/>
  <link href='css/print.css' media='print' rel='stylesheet' type='text/css'/>
  
  <link href='css/custom.css' rel='stylesheet' type='text/css'/>
  
  <script src='lib/object-assign-pollyfill.js' type='text/javascript'></script>
  <script src='lib/jquery-1.8.0.min.js' type='text/javascript'></script>
  <script src='lib/jquery.slideto.min.js' type='text/javascript'></script>
  <script src='lib/jquery.wiggle.min.js' type='text/javascript'></script>
  <script src='lib/jquery.ba-bbq.min.js' type='text/javascript'></script>
  <script src='lib/handlebars-2.0.0.js' type='text/javascript'></script>
  <script src='lib/js-yaml.min.js' type='text/javascript'></script>
  <script src='lib/lodash.min.js' type='text/javascript'></script>
  <script src='lib/backbone-min.js' type='text/javascript'></script>
  <script src='swagger-ui.js' type='text/javascript'></script>
  <script src='lib/highlight.9.1.0.pack.js' type='text/javascript'></script>
  <script src='lib/highlight.9.1.0.pack_extended.js' type='text/javascript'></script>
  <script src='lib/jsoneditor.min.js' type='text/javascript'></script>
  <script src='lib/marked.js' type='text/javascript'></script>
  <script src='lib/swagger-oauth.js' type='text/javascript'></script>

  <!-- Some basic translations -->
  <!-- <script src='lang/translator.js' type='text/javascript'></script> -->
  <!-- <script src='lang/ru.js' type='text/javascript'></script> -->
  <!-- <script src='lang/en.js' type='text/javascript'></script> -->

  <script type="text/javascript">
    $(function () {

      function updateKey(key) {
        if(key && key.trim() != "") {
          swaggerUi.api.clientAuthorizations.add("key", new SwaggerClient.ApiKeyAuthorization("Authorization", key, "header"));
        }
      }

      var url = window.location.search.match(/url=([^&]+)/);
      if (url && url.length > 1) {
        url = decodeURIComponent(url[1]);
      } else {
    	  var full = location.protocol+'//'+location.hostname+(location.port ? ':'+location.port: '');
          //console.log(full)
        url = full+"/rest/swagger.json";
      }

      hljs.configure({
        highlightSizeThreshold: 5000
      });

      // Pre load translate...
      if(window.SwaggerTranslator) {
        window.SwaggerTranslator.translate();
      }
      window.swaggerUi = new SwaggerUi({
        url: url,
        dom_id: "swagger-ui-container",
        supportedSubmitMethods: ['get', 'post', 'put', 'delete', 'patch'],
        onComplete: function(swaggerApi, swaggerUi){
          if(typeof initOAuth == "function") {
            initOAuth({
              clientId: "your-client-id",
              clientSecret: "your-client-secret-if-required",
              realm: "your-realms",
              appName: "your-app-name",
              scopeSeparator: ",",
              additionalQueryStringParams: {}
            });
          }

          if(window.SwaggerTranslator) {
            window.SwaggerTranslator.translate();
          }

          $('pre code').each(function(i, e) {
            hljs.highlightBlock(e)
          });


        },
        onFailure: function(data) {
          log("Unable to Load SwaggerUI");
        },
        docExpansion: "none",
        jsonEditor: false,
        apisSorter: "alpha",
        defaultModelRendering: 'schema',
        showRequestHeaders: false
      });


      // if you have an apiKey you would like to pre-populate on the page for demonstration purposes...
      /*
        var apiKey = "myApiKeyXXXX123456789";
        $('#input_apiKey').val(apiKey);
      */

      window.swaggerUi.load();

      function log() {
        if ('console' in window) {
          console.log.apply(console, arguments);
        }
      }

      $('#login').on('click', function login() {
        var logUrl = $('#input_baseUrl').val().replace("swagger.json", "authentication");
        logUrl = logUrl.replace('myTappChat', 'myTapp');
        var user = $('#user').val();
        var pass = $('#pass').val();
        $.ajax({
          type: "POST",
          url: logUrl,
          data: $.param({
            username : user,
            password : pass
          }),
          headers: { 'Content-Type' : 'application/x-www-form-urlencoded' }
        }).then(function (response) {
          console.log(response);
          updateKey(response.token);
          //$('#logintable').css('visibility', 'hidden');
          $('#successtable').css('visibility', 'visible');
          $('#username').text(response.user.nombre);
          $('#resumen').text(response.user.nombre + '(' + response.user.id + ')');
          $('#fulluser').text(JSON.stringify(response.user, null, 2));
        }).fail(function (response) {
          alert('Fail at login, error: ' + response.statusText);
        });
      });
  });
  </script>
  <script>
  $(document).ready(function() {
    $(".codemm").click(function(){
      if($(this).html() == "-"){
          $(this).html("+");
      }
      else{
          $(this).html("-");
      }
      $(".codediv .code").slideToggle();
      $(".codediv .codehead").slideToggle();
    });
    $(".codediv .code").slideToggle();
  })
  </script>
</head>

<body class="swagger-section">

<h1 class="headermt" >Bienvenido al API Mawio</h1>


<div id="message-bar" class="swagger-ui-wrap" data-sw-translate>&nbsp;</div>
<div id="swagger-ui-container" class="swagger-ui-wrap"></div>
</body>
</html>
